Skip to main content

Vpc Endpoint

View as Markdown

VpcEndpoint object

vpc_endpoint_idstring

Databricks VPC endpoint ID. This is the <Databricks>-specific name of the VPC endpoint. Do not confuse this with the aws_vpc_endpoint_id, which is the ID within AWS of the VPC endpoint.

account_idstring

The <Databricks> account ID that hosts the VPC endpoint configuration.

vpc_endpoint_namestring

The human-readable name of the storage configuration.

Constraints: [ 4 .. 256 ] characters

aws_vpc_endpoint_idstring

The ID of the VPC endpoint object in AWS.

aws_endpoint_service_idstring

The ID of the <Databricks> endpoint service that this VPC endpoint is connected to. For a list of endpoint service IDs for each supported AWS region, see the Databricks PrivateLink documentation.

use_casestring

This enumeration represents the type of Databricks VPC endpoint service that was used when creating this VPC endpoint. If the VPC endpoint connects to the <Databricks> control plane for either the front-end connection or the back-end REST API connection, the value is GENERAL_ACCESS. If the VPC endpoint connects to the <Databricks> workspace for the back-end secure cluster connectivity relay, the value is DATAPLANE_RELAY_ACCESS.

Values: WORKSPACE_ACCESS, DATAPLANE_RELAY_ACCESS, GENERAL_ACCESS

regionstring

The AWS region in which this VPC endpoint object exists.

aws_account_idstring

The AWS Account in which the VPC endpoint object exists.

statestring

The current state (such as available or rejected) of the VPC endpoint. Derived from AWS. For the full set of values, see AWS DescribeVpcEndpoint documentation.

gcp_vpc_endpoint_infoobject

The cloud info of this vpc endpoint. Info for a GCP vpc endpoint.

Show child attributesHide child attributes
psc_connection_idstring
GCP

The ID of the underlying PSC Connection in GCP consumer projects. This is assigned by GCP when user sets up the PSC connection in their consumer project on GCP. Read only to users.

project_idstring
GCP

The ID of the GCP consumer project this PSC endpoint is created within.

psc_endpoint_namestring
GCP

The name of this PSC connection in GCP consumer project. This is named by user when user sets up the PSC connection in their consumer project on GCP.

endpoint_regionstring
GCP

The GCP region of the PSC connection endpoint. Currently GCP only supports same region PSC connection, which means the endpoint region needs to be same with the workspace region to build a PSC connection successfully.

service_attachment_idstring
GCP

The ID of the Service Attachment on our Control Plane this PSC endpoint connects to. Read only to users.

Get

GET /api/2.0/accounts/{account_id}/vpc-endpoints/{vpc_endpoint_id}

Gets a VPC endpoint configuration, which represents a VPC endpoint object in AWS used to communicate privately with <Databricks> over AWS PrivateLink.

API scopes: networking

CloudsAWSGCP

Parameters

vpc_endpoint_idstringpath

Databricks VPC endpoint ID.

account_idstringpath

Response

Returns the VpcEndpoint object.

Create

POST /api/2.0/accounts/{account_id}/vpc-endpoints

Creates a VPC endpoint configuration, which represents a VPC endpoint object in AWS used to communicate privately with <Databricks> over AWS PrivateLink.

After you create the VPC endpoint configuration, the <Databricks> endpoint service automatically accepts the VPC endpoint.

Before configuring PrivateLink, read the <Databricks> article about PrivateLink.

API scopes: networking

CloudsAWSGCP

Parameters

account_idstringpath

Request body

vpc_endpoint_namestring

The human-readable name of the storage configuration.

Constraints: [ 4 .. 256 ] characters

regionstring

The region in which this VPC endpoint object exists.

aws_vpc_endpoint_idstring

The ID of the VPC endpoint object in AWS.

gcp_vpc_endpoint_infoobjectRequired

The cloud info of this vpc endpoint.

Show child attributesHide child attributes
psc_connection_idstring
GCP

The ID of the underlying PSC Connection in GCP consumer projects. This is assigned by GCP when user sets up the PSC connection in their consumer project on GCP. Read only to users.

project_idstring
GCP

The ID of the GCP consumer project this PSC endpoint is created within.

psc_endpoint_namestring
GCP

The name of this PSC connection in GCP consumer project. This is named by user when user sets up the PSC connection in their consumer project on GCP.

endpoint_regionstring
GCP

The GCP region of the PSC connection endpoint. Currently GCP only supports same region PSC connection, which means the endpoint region needs to be same with the workspace region to build a PSC connection successfully.

service_attachment_idstring
GCP

The ID of the Service Attachment on our Control Plane this PSC endpoint connects to. Read only to users.

Response

Returns the VpcEndpoint object.

Delete

DELETE /api/2.0/accounts/{account_id}/vpc-endpoints/{vpc_endpoint_id}

Deletes a Databricks VPC endpoint configuration. You cannot delete a VPC endpoint configuration that is associated with any workspace.

API scopes: networking

CloudsAWSGCP

Parameters

vpc_endpoint_idstringpath
account_idstringpath

Response

Returns the VpcEndpoint object.